/*-----     top     -----*/

@keyframes slide-animation-00 {
	0% {opacity: 0;}
	5% {opacity: 1;}
	20% {opacity: 1;}
	40% {opacity: 0;}
	100% {opacity: 0;}
	}

@keyframes slide-animation-01 {
	0% {opacity: 0; }
	25% {opacity: 0; transform: scale(1.0);}
	40% {opacity: 1;}
	50% {opacity: 1;}
	55% {opacity: 0; transform: scale(1.1);}
	100% {opacity: 0;}
	}

@keyframes slide-animation-02 {
	0% {opacity: 0;}
	40% {opacity: 0; transform: scale(1.0);}
	55% {opacity: 1;}
	65% {opacity: 1;}
	70% {opacity: 0; transform: scale(1.1);}
	100% {opacity: 0;}
	}

@keyframes slide-animation-03 {
	0% {opacity: 0;}
	55% {opacity: 0;  transform: scale(1.0);}
	70% {opacity: 1;}
	80% {opacity: 1;}
	85% {opacity: 0; transform: scale(1.1);}
	100% {opacity: 0;}
	}

@keyframes slide-animation-04 {
	0% {opacity: 0;}
	75% {opacity: 0;  transform: scale(1.0);}
	85% {opacity: 1;}
	95% {opacity: 1;}
	100% {opacity: 0; transform: scale(1.1);}
	}

/*-----     足跡     -----*/

@keyframes step-animation-01 {
    0% { opacity: 1;}
    6% { opacity: 1;}
	16% { opacity: 0;}
    100% { opacity: 0;}
	}

@keyframes step-animation-02 {
    0% { opacity: 0;}
	2% { opacity: 0;}
    12% { opacity: 1;}
    22% { opacity: 1;}
    32% { opacity: 0;}
    100% { opacity: 0;}
    }

@keyframes step-animation-03 {
    0% { opacity: 0;}
	8% { opacity: 0;}
    18% { opacity: 1;}
    28% { opacity: 1;}
    38% { opacity: 0;}
    100% { opacity: 0;}
    }

@keyframes step-animation-04 {
	0% { opacity: 0;}
    14% { opacity: 0;}
    24% { opacity: 1;}
    34% { opacity: 1;}
    44% { opacity: 0;}
    100% { opacity: 0;}
    }

@keyframes step-animation-05 {
	0% { opacity: 0;}
    20% { opacity: 0;}
    30% { opacity: 1;}
    40% { opacity: 1;}
    50% { opacity: 0;}
    100% { opacity: 0;}
    }

@keyframes step-animation-06 {
	0% { opacity: 0;}
    26% { opacity: 0;}
    36% { opacity: 1;}
    46% { opacity: 1;}
    56% { opacity: 0;}
    100% { opacity: 0;}
    }

@keyframes step-animation-07 {
	0% { opacity: 0;}
    32% { opacity: 0;}
    42% { opacity: 1;}
    52% { opacity: 1;}
    62% { opacity: 0;}
    100% { opacity: 0;}
    }

@keyframes step-animation-08 {
	0% { opacity: 0;}
    38% { opacity: 0;}
    48% { opacity: 1;}
    58% { opacity: 1;}
    68% { opacity: 0;}
    100% { opacity: 0;}
    }

@keyframes step-animation-09 {
	0% { opacity: 0;}
    44% { opacity: 0;}
    54% { opacity: 1;}
    64% { opacity: 1;}
	74% { opacity: 0;}
    100% { opacity: 0;}
    }

@keyframes step-animation-10 {
	0% { opacity: 0;}
    54% { opacity: 0;}
    60% { opacity: 1;} 
    70% {opacity: 1;}
	80% { opacity: 0;}
	100% { opacity: 0;}
    }

@keyframes step-animation-11 {
	0% { opacity: 0;}
    60% { opacity: 0;}
    66% { opacity: 1;} 
    76% {opacity: 1;}
	86% { opacity: 0;}
	100% { opacity: 0;}
    }

@keyframes step-animation-12 {
	0% { opacity: 0;}
    66% { opacity: 0;}
    72% { opacity: 1;} 
    82% {opacity: 1;}
	92% { opacity: 0;}
	100% { opacity: 0;}
    }

@keyframes step-animation-13 {
	0% { opacity: 0;}
    72% { opacity: 0;}
    78% { opacity: 1;} 
    88% {opacity: 1;}
	98% { opacity: 0;}
	100% { opacity: 0;}
    }

@keyframes step-animation-14 {
	0% { opacity: 0;}
    80% { opacity: 0;}
    84% { opacity: 1;} 
    100% {opacity: 1;}
    }

/*-----    回転    -----*/

@keyframes spin {
	from { transform: rotate(0deg) translateZ(0); }
	to   { transform: rotate(-360deg) translateZ(0); }
	}